{% extends 'base.html.twig' %}

{% set bodyClass = 'user_profile_collectivity form edit' %}
{% set menuItem = 'user_profile_collectivity' %}
{% set submitValue = submitValue|default('action.submit'|trans) %}

{% block title %}{{ 'user.profile.title.collectivity_edit'|trans }} - {{ parent() }}{% endblock %}

{% block body_head %}
    <h1>
        {{ 'user.profile.title.collectivity_edit'|trans }}
        <small>{{ form.vars.value }}</small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'user.profile.breadcrumb.collectivity_show'|trans, 'link': path('user_profile_collectivity_show') },
        { 'name': 'user.profile.breadcrumb.collectivity_edit'|trans }

    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-12">

            <div class="row">
                {{ form_start(form) }}

                <div class="col-md-6">
                    <div class="box box-solid">
                        <div class="box-header with-border"><h3 class="box-title">{{ 'user.collectivity.tab.legal_manager'|trans }}</h3></div>
                        <div class="box-body">
                            {{ form_widget(form.legalManager) }}
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="box box-solid">
                        <div class="box-header with-border"><h3 class="box-title">{{ 'user.collectivity.tab.referent'|trans }}</h3></div>
                        <div class="box-body">
                            {{ form_widget(form.referent) }}
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div id="box-it-manager" class="box box-solid">
                        <div class="box-header with-border"><h3 class="box-title">{{ 'user.collectivity.tab.it_manager'|trans }}</h3></div>
                        <div class="box-body">
                            {{ form_row(form.differentItManager) }}
                            {{ form_widget(form.itManager) }}
                        </div>
                    </div>
                </div>

                <div class="col-md-6">
                    <div id="box-dpo" class="box box-solid">
                        <div class="box-header with-border"><h3 class="box-title">{{ 'user.collectivity.tab.dpo'|trans }}</h3></div>
                        <div class="box-body">
                            {{ form_row(form.differentDpo) }}
                            {{ form_widget(form.dpo) }}
                        </div>
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="box box-solid">
                        <div class="box-body text-center">
                            <a href="{{ path('user_profile_collectivity_show') }}" class="btn btn-default">
                                {{ 'user.collectivity.action.back_to_show'|trans }}
                            </a>
                            <input type="submit" class="btn btn-primary" value="{{ submitValue }}">
                        </div>
                    </div>
                </div>

                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock %}
